% Universal Control of an Oscillator with Dispersive Coupling to a Qubit
% author

# Outline

## Outline

<div class="notes">
</div>

- A New Phase-rotation Gate for a Cavity-Qubit System
- Performing Arbitrary Unitary Operations on the Cavity


<div style="font-size:60%; text-align:left;">
- For an experimentalists view:
    - **Y39.00005 (by Reinier Heeres in 30 minutes) and arXiv 1503.01496**
</div>
<div style="font-size:60%; text-align:left;">
- See also:
    - (theory) **Law & Eberly (PRL 76, 1055)**
    - (theory) **Mischuck & Mølmer (PRA 87, 022341)**
    - (theory) **Santos (PRL 95, 010504)**
    - (experiment) **Leibfried et al. (Rev Mod Phys 75, 281)**
    - (experiment) **Hofheinz et al. (Nature 459, 546)**
</div>

# The System and The Drives

## The System

<div class="notes">
</div>

Cavity (oscillator) coupled to a qubit (a two-level system)

. . .

$\hat{H}_{0}=\omega_{q}\mid e\rangle\langle e\mid+\omega_{c}\hat{n}-\chi\mid e\rangle\langle e\mid \hat{n}$


![](img/hamiltonian_empty.png)

## The System

Cavity (oscillator) coupled to a qubit (a two-level system)

$\hat{H}_{0}=\color{red}{\omega_{q}\mid e\rangle\langle e\mid}+\omega_{c}\hat{n}-\chi\mid e\rangle\langle e\mid \hat{n}$

![](img/hamiltonian_only_qubit.png)

## The System

Cavity (oscillator) coupled to a qubit (a two-level system)

$\hat{H}_{0}=\omega_{q}\mid e\rangle\langle e\mid+\color{red}{\omega_{c}\hat{n}}-\chi\mid e\rangle\langle e\mid \hat{n}$

![](img/hamiltonian_oscillator.png)

## The System

Cavity (oscillator) coupled to a qubit (a two-level system)

$\hat{H}_{0}=\omega_{q}\mid e\rangle\langle e\mid+\omega_{c}\hat{n}-\color{red}{\chi\mid e\rangle\langle e\mid \hat{n}}$

![](img/hamiltonian_bare.png)

## The Drives - Controlling the Cavity

<div class="notes">
</div>

$\hat{H}_{cavity}=\varepsilon\left(t\right)e^{i\omega_{c}t}\hat{a}^{\dagger}+h.c.$ 


![](img/hamiltonian_displacement.png)

## The Drives - Controlling the Qubit

<div class="notes">
</div>

$\hat{H}_{qubit}=\Omega\left(t\right)e^{i\omega_{q}t}\left|e\rangle\langle g\right|+h.c.$

Selective on the number of photons: $\Omega(t) = \Omega e^{-in\chi t}$ with $\Omega\ll\chi$


![](img/hamiltonian_displacement_and_qubit_drive.png)

## "SNAP" Gate

<div class="notes">
</div>

<span style="font-size: 150%;">**S**</span>elective on <span style="font-size: 150%;">**N**</span>umber <span style="font-size: 150%;">**A**</span>rbitrary <span style="font-size: 150%;">**P**</span>hase
$\left|g,n\right\rangle \rightarrow e^{i\theta_{n}}\left|g,n\right\rangle$

$\hat{S}_{n}\left(\theta_{n}\right)=e^{i\theta_{n}\left|n\rangle\langle n\right|}$

![](img/hamiltonian_all.png)


## "SNAP" Gate

<div class="notes">
</div>

<span style="font-size: 150%;">**S**</span>elective on <span style="font-size: 150%;">**N**</span>umber <span style="font-size: 150%;">**A**</span>rbitrary <span style="font-size: 150%;">**P**</span>hase

On one two-level subsystem:

- $\hat{S}_{n}\left(\theta_{n}\right)=e^{i\theta_{n}\left|n\rangle\langle n\right|}$

On all two-level subsystems at once:

- $\hat{S}\left(\vec{\theta}\right)\,=\sum_{n=0}^{\infty}e^{i\theta_{n}}\mid n\rangle\langle n\mid$

# Universal Control by Combining SNAPs and Displacements

## Proof of Universality

- Displacement:  $\hat{D}(\alpha)=\exp\left(\alpha\hat{a}^{\dagger}-\alpha^{*}\hat{a}\right)$

- SNAP Gate: $\hat{S}\left(\vec{\theta}\right)\,=\sum_{n=0}^{\infty}e^{i\theta_{n}}\mid n\rangle\langle n\mid$

The group commutator of SNAP gates and Displacements can couple any neighboring pair of number states:

. . .

$\hat{D}(\epsilon)\hat{S}(\vec{\theta}_\epsilon)\hat{D}(-\epsilon)\hat{S}(-\vec{\theta}_\epsilon)$

$\approx \exp\left( {\scriptstyle i \epsilon^2 \sqrt{n+1}} \mid n\rangle\langle n+1\mid+h.c.\right)$

for some fixed $n$ and an appropriate SNAP
gate.

<div style="font-size:60%; text-align:left;">
- See also:
    - **Lloyd & Braunstein (PRL 82, 1784)**
</div>

## Explicit Algorithm - n to n+1

How to perform
$\left|n\right\rangle \rightarrow \cos(\theta)\left|n\right\rangle + \sin(\theta)\left|n+1\right\rangle$
?

## Explicit Algorithm - n to n+1

$\hat{U}_{n}=\hat{D}(\alpha_{1})\hat{R}_{n}\hat{D}(\alpha_{2})\hat{R}_{n}\hat{D}(\alpha_{3})$

$\hat{R}_{n}=-\sum_{n'=0}^{n}\left|n'\rangle\langle n'\right|+\sum_{n'=n+1}^{\infty}\left|n'\rangle\langle n'\right|$

![](img/DRDRD_clocks.png)

## Universal Control

Use the 2D rotations to prepare each column of the matrix one by one.

## N-by-N Unitary Matrix

We want to construct $\hat{U}_{target}$

$\hat{U}_{target}^{-1}=\left[\begin{array}{c|c}
\hat{W}_{n\times n} & 0\\
\hline 0 & Id
\end{array}\right]$

## N-by-N Unitary Matrix - Removing a Column

Chain $N-1$ 2-dimensional rotations:

$\hat{V}_{n-1,n}\dots\hat{V}_{1,2}\hat{S}_{n}\hat{U}_{target}^{-1}=\left[\begin{array}{c|c}
\begin{array}{c|c}
\hat{W}_{n-1\times n-1} & 0\\
\hline 0 & 1
\end{array} & 0\\
\hline 0 & Id
\end{array}\right]$

## N-by-N Unitary Matrix

We repeat the procedure for all columns optimizing the fidelity

$F=\left|\frac{1}{N_{cutoff}}Tr\left(\hat{U}^{\dagger}\hat{U}_{target}\right)\right|$

## N-by-N Unitary Matrix

Fidelity for a random sample of unitary matrices:

![](img/fidelities_global_local_random.png)

## Super Efficient Fock State Preparation

- Displace to coherent state $\mid\alpha\rangle=D(\alpha=\sqrt{n})\mid0\rangle$
- Use $\mathcal{O}(\sqrt{n})$ rotations to "fold" it into $\mid n \rangle$

![](img/sublinear_poisson.png)

## Tally the Cost 

> - To perform an arbitrary N-by-N unitary matrix
>     - $\mathcal{O}(N^2)$ gates neccessary
> - To prepare a state with an N-dimensional cutoff:
>     - $\mathcal{O}(N)$ gates neccessary
>     - $\mathcal{O}(\sqrt{N})$ gates neccessary for "sparse" states

## Asymptotic Fidelity

Consider again 2D rotations and look at small $\theta$:

![](img/infidelity_so2.png)

## Asymptotic Fidelity

We can prove

$\text{#gates} \propto \frac{N^3}{\sqrt{\text{infid}}}$

$\text{Time} \propto \frac{N^3}{\sqrt{\text{infid}}} \frac{1}{\chi}$

. . .

<div style="font-size:60%;">
Compare to **Law & Eberly (PRL 76, 1055)**: Only State Preparation

Compare to **Mischuck & Mølmer (PRA 87, 022341)**: Universal Control at &nbsp; $\text{time} \propto \frac{N^{18.5}}{\text{infid}^3} \frac{1}{g}$
</div>

# Conclusion

## Conclusion

arXiv preprint **1502.08015** (and experiment at **1503.01496**)

> - Efficient State Preparation
>     - Including an Optimization for Fock States
> - Efficient Universal Control
>     - Satisfactory at "first-pass" level
>     - Remains Efficient in the Asymptotic Regime
> - People are Already Implementing it in Schoelkopf's group at Yale
>     - Y39.00005 (by Reinier Heeres in 20 minutes)
